[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBComboBox.UpdateData

Applies the changed value for the control to the field in its linked dataset.

## Declaration

Source position: dbctrls.pp line 795

`protected procedure TDBComboBox.UpdateData(`
`Sender: TObject`
`); override;`

## Arguments

`Sender` |  | Object for the event notification.

## Description

UpdateData is an overridden method which implements the abstract virtual method defined in TCustomDBComboBox. UpdateData is used to applying pending changes in the control value to the field in the linked dataset. The value in the Text property for the control is stored to the Field defined in the internal TFieldDataLink instance in the class.

UpdateData is assigned as the OnUpdateData event handler in the internal TFieldDataLink instance used in the control.

## See also

TCustomDBComboBox.UpdateData |  | UpdateData - implements any pending changes in the data.
TCustomDBComboBox.Text |  | The value in the edit box for the control.
TFieldDataLink.OnUpdateData |  | OnUpdateData - event handler for updating any pending changes in the data.